> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Onboarding Source

> Validates and stores the selected employee or payroll sync source in the org onboarding state.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-onboarding-source
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-onboarding-source:
    post:
      operationId: updateOnboardingSource
      summary: Update Onboarding Source
      description: >-
        Validates and stores the selected employee or payroll sync source in the
        org onboarding state.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOnboardingSourceRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateOnboardingSourceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateOnboardingSourceRequest:
      type: object
      properties:
        sourceType:
          type: string
          enum:
            - employee
            - payroll
        source:
          type: string
          minLength: 1
          maxLength: 100
      required:
        - sourceType
        - source
    UpdateOnboardingSourceResponse:
      type: object
      properties:
        success:
          type: boolean
        onboardingState:
          type: object
          properties:
            selectNetworksAndStablecoinsState:
              type: string
            addEmployeesState:
              type: string
            addEmployeesOverride:
              type: boolean
            employeeSource:
              type:
                - string
                - 'null'
              enum:
                - CSV_UPLOAD
                - WORKDAY
                - ADP
                - UKG
                - TOKUEOR
                - TRINET
                - GUSTO
                - DEEL
                - BAMBOOHR
                - IMPORTED
                - OTHER
                - null
            inviteEmployeesState:
              type: string
            inviteAdminsState:
              type: string
            inviteAdminsOverride:
              type: boolean
            addPayrollIntegrationState:
              type: string
            addPayrollIntegrationOverride:
              type: boolean
            payrollSource:
              type:
                - string
                - 'null'
              enum:
                - CSV_UPLOAD
                - WORKDAY
                - ADP
                - UKG
                - TOKUEOR
                - TRINET
                - GUSTO
                - IMPORTED
                - OTHER
                - null
            configurePayrollSettingsState:
              type: string
            configurePayrollSettingsOverride:
              type: boolean
            addPaymentIntegrationState:
              type: string
            paymentIntegrationProvider:
              type:
                - string
                - 'null'
              enum:
                - BRIDGE
                - FIREBLOCKS
                - SQUADS
                - COINBASE_PRIME
                - MANUAL
                - null
            updatedAt:
              type: string
          required:
            - selectNetworksAndStablecoinsState
            - addEmployeesState
            - addEmployeesOverride
            - employeeSource
            - inviteEmployeesState
            - inviteAdminsState
            - inviteAdminsOverride
            - addPayrollIntegrationState
            - addPayrollIntegrationOverride
            - payrollSource
            - configurePayrollSettingsState
            - configurePayrollSettingsOverride
            - addPaymentIntegrationState
            - paymentIntegrationProvider
            - updatedAt
      required:
        - success
        - onboardingState
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
